<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__dmac__descriptor__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_dmac_descriptor_config_t</compoundname>
    <includes local="no">cy_dmac.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1ab968eec67221ce9448bc3d7a51012232" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dmac__enums_1ga016be77931e116644c70e934101dd7c3">cy_en_dmac_retrigger_t</ref></type>
        <definition>cy_en_dmac_retrigger_t cy_stc_dmac_descriptor_config_t::retrigger</definition>
        <argsstring />
        <name>retrigger</name>
        <briefdescription>
<para>Specifies whether the DMA controller should wait for the input trigger to be deactivated. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="415" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="415" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1a264ab4339fd7533256baea6b49811f68" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dmac__enums_1ga78bb44cea66b230aadd012c5bae864a3">cy_en_dmac_trigger_type_t</ref></type>
        <definition>cy_en_dmac_trigger_type_t cy_stc_dmac_descriptor_config_t::interruptType</definition>
        <argsstring />
        <name>interruptType</name>
        <briefdescription>
<para>Sets the event that triggers an interrupt. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__dmac__enums_1ga78bb44cea66b230aadd012c5bae864a3">cy_en_dmac_trigger_type_t</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="416" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="416" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1ac0eef282a96d373f44a5fa6078af259e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dmac__enums_1ga78bb44cea66b230aadd012c5bae864a3">cy_en_dmac_trigger_type_t</ref></type>
        <definition>cy_en_dmac_trigger_type_t cy_stc_dmac_descriptor_config_t::triggerOutType</definition>
        <argsstring />
        <name>triggerOutType</name>
        <briefdescription>
<para>Sets the event that triggers an output. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__dmac__enums_1ga78bb44cea66b230aadd012c5bae864a3">cy_en_dmac_trigger_type_t</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="417" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="417" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1a7ffaa831fab50f91b1ff7c5e5c1e0ae9" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dmac__enums_1ga0e57c8ab013d71005b81e60c2c4ee7a9">cy_en_dmac_channel_state_t</ref></type>
        <definition>cy_en_dmac_channel_state_t cy_stc_dmac_descriptor_config_t::channelState</definition>
        <argsstring />
        <name>channelState</name>
        <briefdescription>
<para>Specifies whether the channel is enabled or disabled on completion of descriptor see <ref kindref="member" refid="group__group__dmac__enums_1ga0e57c8ab013d71005b81e60c2c4ee7a9">cy_en_dmac_channel_state_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="418" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="418" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1aa20430ff90603af62ca4bd7c36de35e0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dmac__enums_1ga78bb44cea66b230aadd012c5bae864a3">cy_en_dmac_trigger_type_t</ref></type>
        <definition>cy_en_dmac_trigger_type_t cy_stc_dmac_descriptor_config_t::triggerInType</definition>
        <argsstring />
        <name>triggerInType</name>
        <briefdescription>
<para>Sets what type of transfer is triggered. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__dmac__enums_1ga78bb44cea66b230aadd012c5bae864a3">cy_en_dmac_trigger_type_t</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="419" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="419" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1a642fe60a0744a3721c1b20005a8a9870" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_dmac_descriptor_config_t::dataPrefetch</definition>
        <argsstring />
        <name>dataPrefetch</name>
        <briefdescription>
<para>Source data transfers are initiated as soon as the channel is enabled, the current descriptor pointer is NOT "0" and there is space available in the channel's data FIFO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="420" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="420" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1a7f23f95c4fc072b1aafbde341dd9a683" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dmac__enums_1gac2fda05300faa05ecfc118f22ed2a3c5">cy_en_dmac_data_size_t</ref></type>
        <definition>cy_en_dmac_data_size_t cy_stc_dmac_descriptor_config_t::dataSize</definition>
        <argsstring />
        <name>dataSize</name>
        <briefdescription>
<para>The size of the data bus for transfer. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__dmac__enums_1gac2fda05300faa05ecfc118f22ed2a3c5">cy_en_dmac_data_size_t</ref>. For memory copy and scatter descriptors this setting will be ignored. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="423" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="423" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1af95d0b9ee761cee84ab931dd87f89911" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dmac__enums_1ga678295e9e6a31ad41feab278d0faf4d1">cy_en_dmac_transfer_size_t</ref></type>
        <definition>cy_en_dmac_transfer_size_t cy_stc_dmac_descriptor_config_t::srcTransferSize</definition>
        <argsstring />
        <name>srcTransferSize</name>
        <briefdescription>
<para>The source transfer size. </para>        </briefdescription>
        <detaileddescription>
<para>For memory copy and scatter descriptors this setting will be ignored. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="426" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="426" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1aba58d5dad537ee08cfbf5f3df32aad5a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dmac__enums_1ga678295e9e6a31ad41feab278d0faf4d1">cy_en_dmac_transfer_size_t</ref></type>
        <definition>cy_en_dmac_transfer_size_t cy_stc_dmac_descriptor_config_t::dstTransferSize</definition>
        <argsstring />
        <name>dstTransferSize</name>
        <briefdescription>
<para>The destination transfer size. </para>        </briefdescription>
        <detaileddescription>
<para>For memory copy and scatter descriptors this setting will be ignored. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="429" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="429" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1a33ef66614f4911171513a63198e21c40" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__dmac__enums_1gafc067b535081b9cd83fa29b9e68b002c">cy_en_dmac_descriptor_type_t</ref></type>
        <definition>cy_en_dmac_descriptor_type_t cy_stc_dmac_descriptor_config_t::descriptorType</definition>
        <argsstring />
        <name>descriptorType</name>
        <briefdescription>
<para>The type of the descriptor. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__dmac__enums_1gafc067b535081b9cd83fa29b9e68b002c">cy_en_dmac_descriptor_type_t</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="432" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="432" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1a56e737e12986f1f9ae07bbb23a547ba7" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* cy_stc_dmac_descriptor_config_t::srcAddress</definition>
        <argsstring />
        <name>srcAddress</name>
        <briefdescription>
<para>The source address of the transfer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="433" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="433" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1ab9807708f96de4c232798b9862726f81" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* cy_stc_dmac_descriptor_config_t::dstAddress</definition>
        <argsstring />
        <name>dstAddress</name>
        <briefdescription>
<para>The destination address of the transfer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="434" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="434" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1aff401931a78359d9c4fbc668e2191732" kind="variable" mutable="no" prot="public" static="no">
        <type>int32_t</type>
        <definition>int32_t cy_stc_dmac_descriptor_config_t::srcXincrement</definition>
        <argsstring />
        <name>srcXincrement</name>
        <briefdescription>
<para>The address increment of the source after each X-loop transfer. </para>        </briefdescription>
        <detaileddescription>
<para>Valid range is -32768...32767. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="435" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="435" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1a727d7f16fc29fa9d75c8125ea8377cdf" kind="variable" mutable="no" prot="public" static="no">
        <type>int32_t</type>
        <definition>int32_t cy_stc_dmac_descriptor_config_t::dstXincrement</definition>
        <argsstring />
        <name>dstXincrement</name>
        <briefdescription>
<para>The address increment of the destination after each X-loop transfer. </para>        </briefdescription>
        <detaileddescription>
<para>Valid range is -32768...32767. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="436" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="436" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1a0d2682fd8330b970ffa7221ad8b02fa9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dmac_descriptor_config_t::xCount</definition>
        <argsstring />
        <name>xCount</name>
        <briefdescription>
<para>The number of transfers in an X-loop. </para>        </briefdescription>
        <detaileddescription>
<para>Valid range (for all descriptors except scatter transfer) is 1...65536. For memory copy descriptors, the X count is a nubmer of bytes (not a data transfer size). For scatter descriptors, the X count is a nubmer of [address, data] pairs (two words each). Valid range is 1...32768. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="437" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="437" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1afc4c4480f2290dc42b3d9c00be65cf9b" kind="variable" mutable="no" prot="public" static="no">
        <type>int32_t</type>
        <definition>int32_t cy_stc_dmac_descriptor_config_t::srcYincrement</definition>
        <argsstring />
        <name>srcYincrement</name>
        <briefdescription>
<para>The address increment of the source after each Y-loop transfer. </para>        </briefdescription>
        <detaileddescription>
<para>Valid range is -32768...32767. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="441" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="441" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1a0d7425723f735c43d9f9c3d5add46051" kind="variable" mutable="no" prot="public" static="no">
        <type>int32_t</type>
        <definition>int32_t cy_stc_dmac_descriptor_config_t::dstYincrement</definition>
        <argsstring />
        <name>dstYincrement</name>
        <briefdescription>
<para>The address increment of the destination after each Y-loop transfer. </para>        </briefdescription>
        <detaileddescription>
<para>Valid range is -32768...32767. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="442" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="442" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1ae98ef1c0c9f829c694ad24a5b8b43b20" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dmac_descriptor_config_t::yCount</definition>
        <argsstring />
        <name>yCount</name>
        <briefdescription>
<para>The number of X-loops in the Y-loop. </para>        </briefdescription>
        <detaileddescription>
<para>Valid range is 1...65536. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="443" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="443" />
      </memberdef>
      <memberdef id="structcy__stc__dmac__descriptor__config__t_1a99cb4784bc632bd6f7144a972e7b9509" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__dmac__descriptor__t">cy_stc_dmac_descriptor_t</ref> *</type>
        <definition>cy_stc_dmac_descriptor_t* cy_stc_dmac_descriptor_config_t::nextDescriptor</definition>
        <argsstring />
        <name>nextDescriptor</name>
        <briefdescription>
<para>The next descriptor to chain after completion. </para>        </briefdescription>
        <detaileddescription>
<para>A NULL value will signify no chaining. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="444" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="444" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This structure is a configuration structure pre-initialized by user and passed as a parameter to the <ref kindref="member" refid="group__group__dmac__descriptor__functions_1gad4204ef079b02d9afdd9328f0cd461f9">Cy_DMAC_Descriptor_Init()</ref>. </para>    </briefdescription>
    <detaileddescription>
<para>It can be allocated in RAM/flash (on user's choice). In case of flash allocation there is a possibility to reinitialize the descriptor in runtime. This structure has all the parameters of the descriptor as separate parameters. Most of these parameters are represented in the <ref kindref="compound" refid="structcy__stc__dmac__descriptor__t">cy_stc_dmac_descriptor_t</ref> structure as bit fields. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="161">
        <label>cy_stc_dmac_descriptor_t</label>
        <link refid="structcy__stc__dmac__descriptor__t" />
      </node>
      <node id="160">
        <label>cy_stc_dmac_descriptor_config_t</label>
        <link refid="structcy__stc__dmac__descriptor__config__t" />
        <childnode refid="161" relation="usage">
          <edgelabel>nextDescriptor</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="445" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" bodystart="413" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dmac.h" line="414" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1a7ffaa831fab50f91b1ff7c5e5c1e0ae9" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>channelState</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1a642fe60a0744a3721c1b20005a8a9870" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>dataPrefetch</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1a7f23f95c4fc072b1aafbde341dd9a683" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>dataSize</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1a33ef66614f4911171513a63198e21c40" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>descriptorType</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1ab9807708f96de4c232798b9862726f81" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>dstAddress</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1aba58d5dad537ee08cfbf5f3df32aad5a" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>dstTransferSize</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1a727d7f16fc29fa9d75c8125ea8377cdf" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>dstXincrement</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1a0d7425723f735c43d9f9c3d5add46051" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>dstYincrement</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1a264ab4339fd7533256baea6b49811f68" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>interruptType</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1a99cb4784bc632bd6f7144a972e7b9509" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>nextDescriptor</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1ab968eec67221ce9448bc3d7a51012232" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>retrigger</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1a56e737e12986f1f9ae07bbb23a547ba7" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>srcAddress</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1af95d0b9ee761cee84ab931dd87f89911" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>srcTransferSize</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1aff401931a78359d9c4fbc668e2191732" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>srcXincrement</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1afc4c4480f2290dc42b3d9c00be65cf9b" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>srcYincrement</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1aa20430ff90603af62ca4bd7c36de35e0" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>triggerInType</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1ac0eef282a96d373f44a5fa6078af259e" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>triggerOutType</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1a0d2682fd8330b970ffa7221ad8b02fa9" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>xCount</name></member>
      <member prot="public" refid="structcy__stc__dmac__descriptor__config__t_1ae98ef1c0c9f829c694ad24a5b8b43b20" virt="non-virtual"><scope>cy_stc_dmac_descriptor_config_t</scope><name>yCount</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>